Subject: Summer lab internshipp

From: [email-masked]
Date: 18 May 1996 22:13:40 -0700

To whom it may concern, my name is David Del Sesto I am a juinor at URI, I am
prensently in the plant moleculer biology dept.  I am looking for a summer job,
I have experence with agro bacterium, also I worked with iron depletion in
soybean plants.  I am a hard worker and a fast learner, I am willing to travel
any where.  If you are interested please contact me as soon as possible.
Thank you,
   David Del Sesto